body {
  position: relative;
  padding-bottom: 6rem;
}

main{ /* puts each element in a flexbox and moves them into a column shape */
  display: flex;
  flex-direction: column;
}
  
* {
  padding: 0px;
  margin: 0px;
  font-family: Arial, serif;

}



/*splash */
figure{
  overflow-x: hidden; /* for everthing in the figure that goes out of screen range, hide it */
  margin: 0;
}

figure.Splash img {
  margin: 0;
  position: relative;
  width: 100%;
	min-width: 1000px; /* allows the navigation to always be ontop of the splash image */
}

figure img{
  margin: 0;
  position: relative;
  width: 100%;
}

figure h2 {
  z-index: 1; /* Changes title priority so it's always ontop */
  font-size: 2em;
  position: fixed; /* allows text to stay on the screen */
  top: 0%; /* always at the top of the page */
  text-align: center;
  width: 100%;
  color: white;
  background: rgb(0, 0, 0); /*incase rgba doesn't work*/
  background: rgba(0, 0, 0, 0.7);
  padding: 10px 0;
}




/* nagivation*/
nav.Splash {
  position: absolute;
  top: 5%;
  margin: 0 auto;
  width: 100%;
	display: inline-block;
  font-size: 0.95em;
  font-weight: bold;
  text-align: center;
}

nav ul {  
  margin: 0;
  list-style: none;
}

li {
  background: rgb(0, 0, 0);
  background: rgba(0, 0, 0, 0.7);
  padding: 2%;
  margin: 2% 0;
}

a:focus {
	border: 2px solid rgb(100, 100, 100);
}

nav a {
  text-decoration: none;
  outline: none;
}

nav a:link { 
  color: white; 
}

nav a:visited { 
  color: white; 
}

nav a:hover { 
  color: grey;
}



/* main text */
main{
	margin-top: 10px;
}

header {
  width: 100%;
  overflow-x: hidden;
}

h3 {
  text-align: center;
  padding: 8px 0;
  color: white;
  width: 100%;
  background: rgb(0, 0, 0);
  background: rgba(0, 0, 0, 0.8);
}

main img { 
  width: 200px;
}

main figure {
  padding: 20px;
  display: inline-block; 
  float: left;
}

p {
  padding: 20px;
  margin-bottom: 8px;
  line-height: 1.3em;
	min-width: 300px;
}

#timetable {
	padding: 0px 20px 20px 20px;
	width: 80%;
}	

/* form */
.myform {
	display: flex;
	flex-direction: column;
	min-width: 200px; /* stops the form resizing too much */
	max-width: 400px;
	margin: 10px auto;
	/*background: rgb(240, 240, 240);*/
	background-image: url("../images/Background.jpg")
}
.myform h1 {
	font-size: 110%;
	margin: 0;
	padding: 20px 0;
	text-align: center;
	background: rgb(0, 0, 0);
	background: rgba(0, 0, 0, 0.8);
	color: white;
}

.myform p {
	padding-top: 3%;
}

/* Applies css to both the email and comment section of the form */ 
.myform input[type="text"],
.myform textarea {
	width: 93%;
	outline: none;
	padding: 3%;
	border: 2px solid rgb(200, 200, 200);
}

/* When  each box is in focus */
.myform input[type="text"]:focus,
.myform textarea:focus {
	border: 2px solid rgb(100, 100, 100);
	box-shadow: 0 0 5px rgb(100, 100, 100);
}

/* Submit and Reset form */
.myform input[type="submit"],
.myform input[type="reset"] {
	border: 2px solid rgb(100, 100, 100);
	color: white;
	width: 100%;
	padding: 3%;
	background: rgb(0, 0, 0);
	background: rgba(0, 0, 0, 0.8);
}

#button {
	padding: 0 3%;
}

/* footer */
footer {
  position: absolute;
  bottom: 0;
  right: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.8);
  text-align: center;
  color: white;
  padding: 0.7em;
}

footer p {
	padding: 3px;
	margin: 0;
  font-size: 0.7em;
}


/* media queries*/
@media screen and (min-width: 900px){
	.dropdown {
		z-index: 1;
		position: fixed;
		top: 56px;
		background-color: rgb(0, 0, 0);
		background-color: rgba(0, 0, 0, 0.7);
		width: 100%;
	}
	.dropbutton {
		border: 0;
	}
	.content {
		text-align: center;	
		margin-bottom: 10px;
	}
	
	.content li {
		display: inline;
		background-color: transparent;
		padding-right: 5%;
		font-size: 1.2em;
	}
}

@media screen and (min-width: 1095px) {
	main {
	  flex-direction: row;
	}
	#Contact,
  #Day	{
		flex-direction: column;
	}
}

@media screen and (min-width: 1000px) {
	figure h2 {
		font-size: 48px;
	}
	.dropdown {
		top: 75px;
	}
}